# Generated from value_semantics-3.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name value_semantics

Name: rubygem-%{gem_name}
Version: 3.6.1
Release: 1%{?dist}
Summary: Makes value classes, with lightweight validation and coercion
License: MIT
URL: https://github.com/tomdalling/value_semantics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(super_diff)
# BuildRequires: rubygem(mutant-rspec)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(gem-release)
# BuildRequires: rubygem(eceval)
# BuildRequires: rubygem(benchmark-ips)
# BuildRequires: rubygem(allocation_tracer)
BuildArch: noarch

%description
Generates modules that provide conventional value semantics for a given
set of attributes.
The behaviour is similar to an immutable `Struct` class,
plus extensible, lightweight validation and coercion.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 3.6.1-1
- Initial package
